VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy Class Reference

The `IpAllocationParams.IpAllocationPolicy` enumerated type defines the possible IP allocation policy for a deployment. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, DHCP, TRANSIENT_IPPOOL, STATIC_MANUAL, STATIC_IPPOOL }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static IpAllocationPolicy[] | GetValues ()
static IpAllocationPolicy | ValueOf (string name)
## Static Public Attributes
static readonly IpAllocationPolicy | DHCP = new IpAllocationPolicy("DHCP", Values.DHCP)
| Specifies that DHCP will be used to allocate IP addresses.
static readonly IpAllocationPolicy | TRANSIENT_IPPOOL = new IpAllocationPolicy("TRANSIENT_IPPOOL", Values.TRANSIENT_IPPOOL)
| Specifies that IP addresses are allocated from an IP pool.
static readonly IpAllocationPolicy | STATIC_MANUAL = new IpAllocationPolicy("STATIC_MANUAL", Values.STATIC_MANUAL)
| Specifies that IP addresses are configured manually upon deployment, and will be kept until reconfigured or the virtual appliance destroyed.
static readonly IpAllocationPolicy | STATIC_IPPOOL = new IpAllocationPolicy("STATIC_IPPOOL", Values.STATIC_IPPOOL)
| Specifies that IP addresses are allocated from the range managed by an IP pool.

## Detailed Description

The `IpAllocationParams.IpAllocationPolicy` enumerated type defines the possible IP allocation policy for a deployment.

## Member Enumeration Documentation

enum vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  DHCP | Specifies that DHCP will be used to allocate IP addresses.
  TRANSIENT_IPPOOL | Specifies that IP addresses are allocated from an IP pool. The IP addresses are allocated when needed, typically at power-on, and deallocated during power-off. There is no guarantee that a property will receive same IP address when restarted.
  STATIC_MANUAL | Specifies that IP addresses are configured manually upon deployment, and will be kept until reconfigured or the virtual appliance destroyed. This ensures that a property gets a consistent IP for its lifetime.
  STATIC_IPPOOL | Specifies that IP addresses are allocated from the range managed by an IP pool. The IP addresses are allocated at first power-on, and remain allocated at power-off. This ensures that a virtual appliance gets a consistent IP for its life-time.

## Member Function Documentation

Values vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::GetEnumValue | ( |  | ) | `[inline]`

static IpAllocationPolicy [] vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::IsUnknown | ( |  | ) | `[inline]`

static IpAllocationPolicy vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly IpAllocationPolicy vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::DHCP = new IpAllocationPolicy("DHCP", Values.DHCP)`[static]`

Specifies that DHCP will be used to allocate IP addresses.

readonly IpAllocationPolicy vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::STATIC_IPPOOL = new IpAllocationPolicy("STATIC_IPPOOL", Values.STATIC_IPPOOL)`[static]`

Specifies that IP addresses are allocated from the range managed by an IP pool.

The IP addresses are allocated at first power-on, and remain allocated at power-off. This ensures that a virtual appliance gets a consistent IP for its life-time.

readonly IpAllocationPolicy vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::STATIC_MANUAL = new IpAllocationPolicy("STATIC_MANUAL", Values.STATIC_MANUAL)`[static]`

Specifies that IP addresses are configured manually upon deployment, and will be kept until reconfigured or the virtual appliance destroyed.

This ensures that a property gets a consistent IP for its lifetime.

readonly IpAllocationPolicy vmware::vcenter::ovf::IpAllocationParams::IpAllocationPolicy::TRANSIENT_IPPOOL = new IpAllocationPolicy("TRANSIENT_IPPOOL", Values.TRANSIENT_IPPOOL)`[static]`

Specifies that IP addresses are allocated from an IP pool.

The IP addresses are allocated when needed, typically at power-on, and deallocated during power-off. There is no guarantee that a property will receive same IP address when restarted.

The documentation for this class was generated from the following file:

- IpAllocationParams.cs